# $Revision: 1.9.2.2 $, $Date: 2003/04/28 12:51:50 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	BrowserDetect
Summary:	Determine the Web browser, version, and platform from an HTTP user agent string
Summary(pl):	Modu okrelajcy przegldark WWW, wersj i platform z nagwka HTTP User-Agent
Name:		perl-HTTP-BrowserDetect
Version:	0.97
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP::BrowserDetect object does a number of tests on an HTTP user
agent string.  The results of these tests are available via methods of
the object.

%description -l pl
Obiekt HTTP::BrowserDetect wykonuje wiele testw na nagwku HTTP
User-Agent. Wyniki tych testw s dostpne poprzez metody obiektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/HTTP/BrowserDetect.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTTP-BrowserDetect.spec,v $
Revision 1.9.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.9.2.1  2003/03/13 00:57:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.9  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:33:22  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/09/26 17:18:40  ankry
- added tests on bcond
- version 0.97

Revision 1.6  2002/08/14 23:38:58  qboosh
- pl description, new %%doc, release 3

Revision 1.5  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.4  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/05 19:36:28  qboosh
- fixed changelog
